#!/bin/sh

export CFLAGS="-mtune=generic -Os -pipe -fexceptions"
export CXXFLAGS="-mtune=generic -Os -pipe -fexceptions"
export LDFLAGS="-Wl,-O1"

tce-load -wi compiletc
wget \
  'https://github.com/ip7z/7zip/releases/download/24.09/7z2409-src.tar.xz'
xz -d 7z2409-src.tar.xz
mkdir 7zip
tar xf 7z2409-src.tar -C 7zip

cd 7zip/CPP/7zip/Bundles/Alone2

make -j -f ../../cmpl_gcc.mak
mkdir -p 7zip/usr/local/bin
cp b/g/7zz 7zip/usr/local/bin
strip 7zip/usr/local/bin/7zz
mksquashfs 7zip 7zip.tcz
mv 7zip.tcz "$OLDPWD"

cd -
rm -rf 7zip/
rm 7z2409-src.tar
